Skip to main content
`Ctrl`+`K`

# PetscViewerFinalizePackage

This function destroys any global objects created in PETSc viewers. It is called from `PetscFinalize()`.

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerFinalizePackage(void)

## See Also

Viewers: Looking at PETSc Objects, `PetscViewer`, `PetscFinalize()`, `PetscViewerInitializePackage()`

## Level

developer

## Location

src/sys/classes/viewer/interface/view.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages